package com.dz.openapi.core;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OpenAPIConfig {
    private String apiBaseUrl;
    private String dynamicDomain;
    private String privateKey;

    /**
     * 仅用于RsaKeyTest
     */
    private String publicKey;

    private String appId;

    private PrepareInfo prepare;

    private SSO sso;


    public String getAPIUrl(String path) {
        return apiBaseUrl + path;
    }

    @Data
    @NoArgsConstructor
    public static class PrepareInfo {
        private String username;
        private String password;
    }

    @Data
    @NoArgsConstructor
    public static class SSO {
        private String publicKey;
    }
}
