package com.dz.openapi.demo;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.dz.openapi.core.OpenAPIConfig;
import com.dz.openapi.core.OpenAPIResponse;

import org.junit.jupiter.api.Assertions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.http.ResponseEntity;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.web.client.RestTemplate;

import lombok.extern.slf4j.Slf4j;


@Slf4j
@SpringBootTest(classes = OpenAPIDemoApplication.class)
public class BaseWebTest {
    @Autowired
    protected OpenAPIConfig config;
    @Autowired
    protected RestTemplate restTemplate;

    protected void assertResultAndLog(OpenAPIResponse response) {
        log.info("response result: {}", JSON.toJSONString(response));
        Assertions.assertEquals(response.getCode(), "10000", "请求未成功");
    }

    protected void assertResultAndLog(ResponseEntity<JSONObject> responseEntity) {
        log.info("response status: {}", responseEntity.getStatusCode().toString());
        log.info("response header: {}", responseEntity.getHeaders().toString());
        log.info("response result: {}", JSON.toJSONString(responseEntity));
        Assertions.assertEquals(responseEntity.getBody().get("code"), "10000", "请求未成功");
    }
}
