package com.dz.openapi.demo;

public class OpenAPIConstants {

    /**
     * 签名禁用逻辑
     */
    public static final String HEADER_SIGN_SS_NAME = "x-sign-disable";

    /**
     * 公共部分
     */
    public static class Base {

        /**
         * 账号登录接口，demo中仅用于秘钥获取
         */
        public static final String LOGIN_URL = "/basic/user/login";

        /**
         * 获取APPID接口，上传公钥获取appid
         */
        public static final String GET_APPID_URL = "/basic/api/v1/auth/openapi/publicKey";

        /**
         * 租户SSO单点登录
         */
        public static final String POST_TENANT_SSO_URL = "/basic/user/sso/login";
    }

    /**
     * 租户操作
     */
    public static class Tenant {

        /**
         * 租户基础信息
         */
        public static final String TENANT_INFO = "/basic/openapi/v1/tenant/info";

    }

    /**
     * 租户操作
     */
    public static class SCRM {

        /**
         * 新建客户
         */
        public static final String CUSTOMER_CREATE = "/basic/openapi/v1/customer";

        /**
         * 修改客户
         */
        public static final String CUSTOMER_MODIFY = "/basic/openapi/v1/customer";

        /**
         * 获取客户详情
         */
        public static final String CUSTOMER_DETAIL = "/basic/openapi/v1/customer/detail";

        /**
         * 分页查询客户
         */
        public static final String CUSTOMER_QUERY = "/basic/openapi/v1/customer";

        /**
         * 查询字段定义信息
         */
        public static final String CUSTOMER_FIELD_DEFINE = "/basic/openapi/v1/customer/field/define";
    }


    /**
     * 短信服务
     */
    public static class SMS {

        /**
         * 短信模板列表
         */
        public static final String TEMPLATE_LIST = "/crm/openapi/v1/sms/template";

        /**
         * 发送短信
         */
        public static final String SEND = "/crm/openapi/v1/sms/send";
    }

    /**
     * 坐席服务
     */
    public static class STAFF {

        /**
         * 租户部门列表
         */
        public static final String DEPARTMENT_LIST = "/basic/openapi/v1/staff/department";

        /**
         * 租户角色列表
         */
        public static final String ROLE_LIST = "/basic/openapi/v1/staff/role";

        /**
         * 坐席详情列表
         */
        public static final String STAFF_LIST = "/basic/openapi/v1/staff/getSubUser";

        /**
         * 添加坐席
         */
        public static final String STAFF_ADD = "/basic/openapi/v1/staff/addSubUser";

        /**
         * 修改坐席
         */
        public static final String STAFF_UPDATE = "/basic/openapi/v1/staff/updateSubUser";

        /**
         * 删除坐席
         */
        public static final String STAFF_DELETE = "/basic/openapi/v1/staff/deleteSubUser";

        /**
         * 重置账号密码
         */
        public static final String STAFF_PWD_RESET = "/basic/openapi/v1/staff/password/reset";

        /**
         * 统一技能组列表
         */
        public static final String USSGROUP_LIST = "/uss/openapi/v1/ussgroup";

        /**
         * 添加统一技能组成员
         */
        public static final String USSGROUP_ADD_MEMBER = "/uss/openapi/v1/ussgroup";

        /**
         * 删除统一技能组成员
         */
        public static final String USSGROUP_DEL_MEMBER = "/uss/openapi/v1/ussgroup";
    }


    /**
     * 在线客服
     */
    public static class IM {

        /**
         * 查询会话列表
         */
        public static final String SESSION_LIST = "/imchat/openapi/v1/report/session/list";

    }


    /**
     * 外呼机器人
     */
    public static class Outbound {

        /**
         * 创建外呼任务
         */
        public static final String CREATE_TASK = "/outbound/openapi/v1/task/create";

    }

    /**
     * 外呼机器人V2
     */
    public static class OutboundV2 {

        /**
         * 创建外呼任务
         */
        public static final String CREATE_TASK = "/outbound/openapi/v2/task/create";

    }
}
