package com.dz.openapi.demo.base;


import com.dz.openapi.core.OpenAPIResponse;
import com.dz.openapi.demo.OpenAPIConstants;
import com.dz.openapi.demo.BaseWebTest;
import com.dz.openapi.util.RSAUtil;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;

import java.util.Map;

/**
 * 2022-05-06版本后废弃
 */
@Deprecated
public class GetAppIdTest extends BaseWebTest {

    @Test
    @Disabled
    public void testGetAppId() {
        // 1、生成RAS 公钥与私钥 +2、获取appId
        Map<String, Object> keyPair = RSAUtil.genKeyPair();
        String privateKey = RSAUtil.getPrivateKey(keyPair);
        String publicKey = RSAUtil.getPublicKey(keyPair);

        System.out.println("------------------------------------------------------------------------");
        System.out.println("Private Key:");
        System.out.println(privateKey);
        System.out.println("------------------------------------------------------------------------");
        System.out.println("PublicKey Key:");
        System.out.println(publicKey);
        System.out.println("------------------------------------------------------------------------");

        String token = getToken();
        String appId = getAppId(publicKey, token);

        System.out.println("appId:   " + appId);
        System.out.println("------------------------------------------------------------------------");
    }

    public String getToken() {
        Assertions.assertNotNull(config.getPrepare(), "请配置dz.openapi.prepare");
        Assertions.assertNotNull(config.getPrepare().getUsername(), "请配置dz.openapi.prepare.username");
        Assertions.assertNotNull(config.getPrepare().getPassword(), "请配置dz.openapi.prepare.password");

        HttpHeaders headers = new HttpHeaders();
        //头部类型
        headers.setContentType(MediaType.MULTIPART_FORM_DATA);
        headers.set(OpenAPIConstants.HEADER_SIGN_SS_NAME, "true");

        //接口参数
        MultiValueMap<String, Object> map = new LinkedMultiValueMap<>();
        map.add("account", config.getPrepare().getUsername());
        map.add("password", config.getPrepare().getPassword());

        HttpEntity<MultiValueMap<String, Object>> param = new HttpEntity<>(map, headers);

        ResponseEntity<String> stringResponseEntity = restTemplate.postForEntity(config.getAPIUrl(OpenAPIConstants.Base.LOGIN_URL), param, String.class);
        return stringResponseEntity.getHeaders().getFirst("authorization");
    }

    private String getAppId(String publicKey, String token) {
        HttpHeaders headers = new HttpHeaders();
        headers.set(OpenAPIConstants.HEADER_SIGN_SS_NAME, "true");
        //头部类型
        headers.setContentType(MediaType.TEXT_PLAIN);
        headers.set(HttpHeaders.AUTHORIZATION, token);
        //使用公钥
        HttpEntity<String> httpEntity = new HttpEntity<>(publicKey, headers);

        ResponseEntity<OpenAPIResponse> responseEntity = restTemplate.postForEntity(config.getAPIUrl(OpenAPIConstants.Base.GET_APPID_URL), httpEntity, OpenAPIResponse.class);
        return (String) responseEntity.getBody().getData();
    }
}
