package com.dz.openapi.demo.scrm.model;

import java.util.Date;

import lombok.Data;

@Data
public class BasicCustomerIdentity {
    private String tenantId;

    /**
     * 客户ID
     */
    private String customerId;
    /**
     * 联系人名称
     */
    private String name;

    /**
     * 备注
     */
    private String desc;

    /**
     * 标签
     */
    private String tag;

    /**
     * 专属客服id
     */
    private Long staffId;

    /**
     * 公司ID
     */
    private String customerGroupId;

    /**
     * 第三方系统用户ID
     */
    private String thirdPartUserId;

    /**
     * 外部系统用户ID
     */
    private String externalId;

    /**
     * 负责人id
     */
    private Long principalId;
    /**
     * 负责人名称
     */
    private String principalName;
    /**
     * 客户编号，在租户下唯一
     */
    private Integer number;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 客户类型 0-线索客户，1-意向客户
     */
    private Integer customerType;

    /**
     * 客户状态 0-待跟进，1-跟进中 , 2-已作废  ,3-已完成
     */
    private Integer customerStatus;

    /**
     * 客户等级：1-普通客户，2-VIP客户
     */
    private Integer customerClass;

    /**
     * 这个客户合并后生成的新customerId
     */
    private String mergeCustomerId;

    /**
     * 此时的新customerId
     */
    private String newCustomerId;

    /**
     * 联系电话
     */
    private String telephone;

    /**
     * 脱敏手机号
     */
    private String phoneDesensitive;

    /**
     * 产品ID
     */
    private String productId;

    /**
     * 是否黑名单
     */
    private Byte blacklist;

    /**
     * 是否匿名（0-匿名，1-非匿名）
     */
    private Integer anonymous;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 删除时间
     */
    private Date deleteTime;

    /**
     * 是否删除
     */
    private Boolean isDeleted;

    /**
     * 是否作废
     */
    private Boolean isCancel;
    /**
     * 作废时间
     */
    private Date cancelTime;
    /**
     * 作废原因
     */
    private String cancelReason;
    /**
     * 作废备注
     */
    private String cancelRemark;
    /**
     * 拉黑时间
     */
    private Date blackTime;
    /**
     * 分配时间
     */
    private Date distributeTime;

}
